Bug 457791 - BUG: unable to handle kernel paging request at 6b6b6c2b: EIP is at unlink1+0xa5/0xbe
BUG: unable to handle kernel paging request at 6b6b6c2b: EIP is at unlink1+0x...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FCMETA_USB
  Show dependency treegraph
 
Reported: 2008-08-04 13:03 EDT by Tom London
Modified: 2008-12-30 18:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:58:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2008-08-04 13:03:10 EDT
Description of problem: 
Got this when I unplugged USB video camera while 'ucview' was running.

Kerneloops'ed here: http://www.kerneloops.org/submitresult.php?number=47890

BUG: unable to handle kernel paging request at 6b6b6c2b
IP: [<c05c45f2>] unlink1+0xa5/0xbe
*pde = 00000000 
Oops: 0000 [#1] SMP DEBUG_PAGEALLOC
Modules linked in: snd_usb_audio uvcvideo snd_usb_lib compat_ioctl32 snd_rawmidi videodev v4l1_compat i915 drm ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi scsi_transport_iscsi coretemp nf_conntrack_ipv4 ipt_REJECT iptable_filter ip_tables nf_conntrack_netbios_ns nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables ipv6 cpufreq_ondemand acpi_cpufreq fuse loop dm_multipath kvm_intel kvm sr_mod cdrom ppdev thinkpad_acpi snd_hda_intel ata_piix hwmon snd_seq_dummy sdhci_pci arc4 firewire_ohci ecb sdhci crypto_blkcipher snd_seq_oss firewire_core i2c_i801 yenta_socket snd_seq_midi_event ac crc_itu_t iTCO_wdt rsrc_nonstatic bay mmc_core battery video i2c_core parport_pc output snd_seq parport ata_generic iTCO_vendor_support iwl3945 snd_seq_device pata_acpi rfkill e1000e snd_pcm_oss usblp mac80211 cfg80211 snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_hwdep snd soundcore dm_snapshot dm_zero dm_mirror dm_log dm_mod ahci ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd

Pid: 12203, comm: ucview Not tainted (2.6.27-0.215.rc1.git4.fc10.i686 #1)
EIP: 0060:[<c05c45f2>] EFLAGS: 00210202 CPU: 1
EIP is at unlink1+0xa5/0xbe
EAX: f3fec9b0 EBX: ea25f6e0 ECX: fffffffe EDX: ea25f6e0
ESI: 6b6b6b6b EDI: ea25f6e0 EBP: cbeebed4 ESP: cbeebec0
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process ucview (pid: 12203, ti=cbeeb000 task=eb975f80 task.ti=cbeeb000)
Stack: fffffffe c044ac07 ea25f6e0 d1ed6000 ea25f6e0 cbeebee8 c05c47b1 ea25f6e0 
       d1ed6000 d1ed6048 cbeebf10 c05c5ab7 cbeebf00 c0514c0d f3fecaf4 d1ed6000 
       cbeebf0c d1ed6000 d1ed6000 d1ed6048 cbeebf1c f97271f3 d1ed6034 cbeebf34 
Call Trace:
 [<c044ac07>] ? trace_hardirqs_on+0xb/0xd
 [<c05c47b1>] ? usb_hcd_unlink_urb+0x1c/0x5f
 [<c05c5ab7>] ? usb_kill_urb+0x65/0xe1
 [<c0514c0d>] ? kref_put+0x39/0x44
 [<f97271f3>] ? uvc_status_cleanup+0x16/0x33 [uvcvideo]
 [<f9723009>] ? uvc_delete+0x50/0xc3 [uvcvideo]
 [<c05c8402>] ? usb_autopm_do_interface+0xb9/0xc2
 [<f9722fb9>] ? uvc_delete+0x0/0xc3 [uvcvideo]
 [<c0514c0d>] ? kref_put+0x39/0x44
 [<f9723a55>] ? uvc_v4l2_release+0xb7/0xc1 [uvcvideo]
 [<c049cc75>] ? __fput+0xb8/0x148
 [<c049cd21>] ? fput+0x1c/0x1e
 [<c049a2eb>] ? filp_close+0x55/0x5f
 [<c049a36d>] ? sys_close+0x78/0xb2
 [<c0403cbe>] ? syscall_call+0x7/0xb
 ======================
 ======================Code: c0 e8 d4 e5 0b 00 8b 4d ec 89 f0 89 fa e8 dc fe ff ff b8 18 08 7c c0 e8 a3 e6 0b 00 8b 55 f0 b8 18 08 7c c0 e8 5c e5 0b 00 eb 10 <8b> 9e c0 00 00 00 89 f0 8b 4d ec ff 53 34 89 c3 5a 89 d8 59 5b 
EIP: [<c05c45f2>] unlink1+0xa5/0xbe SS:ESP 0068:cbeebec0
---[ end trace 8dfb1c68d26e34ba ]---

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.215.rc1.git4.fc10.i686

How reproducible:
Don't know.....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-11-25 21:39:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tom London 2008-12-30 18:58:40 EST
Haven't seen this in quite a while.

closing.

Note You need to log in before you can comment on or make changes to this bug.